> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert Package File

> Update and replace a package file.



## OpenAPI

````yaml /openapi/openapi_appdevelopement.json post /platform/developer/packages/{applicationKey}/files/{filepath}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_APPDEVELOPEMENT">
                <h2>APP DEVELOPMENT</h2>
                <p>The Applications API updates and retrieves details about the applications installed for your tenant. Use
                    the AuthTickets resource for applications resource to manage authentication tickets for your apps. For information about creating applications, see the <a href="/pages/applications-1a6c791">Application Development</a> guides.</p>
                <p>Use the<strong>App Auth Tickets</strong> resource to manage authentication tickets for your applications.</p>
                <p>Use the <strong>Filebased Package</strong> resource to download a file-based representation of the application definition to work on collaboratively with your team using your own source control process.</p>
                <p>Use the <strong>Package</strong> resource to manage the application packages and retrieve summaries.</p>
                <p>Use the <strong>Public Application</strong> resource to retrieve package metadata or application versions as well as manage package files.</p>
            </div>
  title: App Development
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/developer/packages/{applicationKey}/files/{filepath}:
    post:
      tags:
        - PublicApplication
      summary: Upsert Package File
      description: Update and replace a package file.
      parameters:
        - description: ''
          in: path
          name: applicationKey
          required: true
          schema:
            type: string
        - description: ''
          in: path
          name: filepath
          required: true
          schema:
            type: string
        - description: ''
          in: query
          name: lastModifiedTime
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileMetadata'
            text/json:
              schema:
                $ref: '#/components/schemas/FileMetadata'
            text/plain:
              schema:
                $ref: '#/components/schemas/FileMetadata'
          description: OK
components:
  schemas:
    FileMetadata:
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        checkSum:
          nullable: true
          type: string
        id:
          nullable: true
          type: string
        path:
          nullable: true
          type: string
        sizeInBytes:
          format: int64
          type: integer
        type:
          nullable: true
          type: string
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````